### Hierarchy

- LightDrawable
  - CircleLight

## Index

### Constructors

- constructor

### Properties

- center
- color
- intensity
- lightnessRatio

### Methods

- getObjectToSerialize
- minDistance
- setLightnessRatio

### Object literals

- descriptor

## Constructors

### constructor

- new CircleLight(center: vec2, color: vec3, intensity: number): CircleLight

- Overrides LightDrawable.__constructor

  - Defined in drawables/lights/circle-light.ts:18

  #### Parameters

  - ##### center: vec2

  - ##### color: vec3

  - ##### intensity: number

  #### Returns CircleLight

## Properties

### center

center: vec2

Inherited from CircleLight.center

- Defined in drawables/lights/light-drawable.ts:8

### color

color: vec3

Inherited from CircleLight.color

- Defined in drawables/lights/light-drawable.ts:8

### intensity

intensity: number

Inherited from CircleLight.intensity

- Defined in drawables/lights/light-drawable.ts:8

### Protected lightnessRatio

lightnessRatio: number = 1

Inherited from CircleLight.lightnessRatio

- Defined in drawables/lights/light-drawable.ts:6

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from CircleLight.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  - Defined in drawables/lights/light-drawable.ts:20

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from CircleLight.minDistance

  Overrides Drawable.minDistance

  - Defined in drawables/lights/light-drawable.ts:16

  #### Parameters

  - ##### target: vec2

  #### Returns number

### setLightnessRatio

- setLightnessRatio(ratio: number): void

- Inherited from CircleLight.setLightnessRatio

  - Defined in drawables/lights/light-drawable.ts:12

  #### Parameters

  - ##### ratio: number

  #### Returns void

## Object literals

### Static Readonly descriptor

descriptor: object

Overrides Drawable.descriptor

- Defined in drawables/lights/circle-light.ts:9

### empty

empty: CircleLight = new CircleLight(vec2.create(), vec3.create(), 0)

- Defined in drawables/lights/circle-light.ts:17

### shaderCombinationSteps

shaderCombinationSteps: number[] = [0, 1, 2, 4, 8, 16]

- Defined in drawables/lights/circle-light.ts:16

### uniformCountMacroName

uniformCountMacroName: string = "CIRCLE_LIGHT_COUNT"

- Defined in drawables/lights/circle-light.ts:15

### propertyUniformMapping

propertyUniformMapping: object

- Defined in drawables/lights/circle-light.ts:10

### center

center: string = "circleLightCenters"

- Defined in drawables/lights/circle-light.ts:11

### color

color: string = "circleLightColors"

- Defined in drawables/lights/circle-light.ts:12

### intensity

intensity: string = "circleLightIntensities"

- Defined in drawables/lights/circle-light.ts:13